Admin Sector: Payroll
Update Payslip
Adjust a payslip’s allowances / deductions / notes and recompute net pay (and the run totals). Only allowed while the run is still draft.
PATCH
/
api
/
v1
/
payroll-runs
/
{run_id}
/
payslips
/
{payslip_id}
Update Payslip
curl --request PATCH \
--url https://vinmake-erp.onrender.com/api/v1/payroll-runs/{run_id}/payslips/{payslip_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allowances": 123,
"deductions": 123,
"notes": "<string>"
}
'import requests
url = "https://vinmake-erp.onrender.com/api/v1/payroll-runs/{run_id}/payslips/{payslip_id}"
payload = {
"allowances": 123,
"deductions": 123,
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({allowances: 123, deductions: 123, notes: '<string>'})
};
fetch('https://vinmake-erp.onrender.com/api/v1/payroll-runs/{run_id}/payslips/{payslip_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"orgId": "<string>",
"payrollRunId": "<string>",
"employeeId": "<string>",
"baseSalary": 123,
"unpaidLeaveDays": 123,
"grossPay": 123,
"allowances": 123,
"deductions": 123,
"netPay": 123,
"notes": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
⌘I
Update Payslip
